{
  virtualisation = {
    podman.enable = true;
    oci-containers.backend = "podman";

    oci-containers.containers = {
      wsproxy = {
        login.username = "senseab";
        login.registry = "ghcr.io";
        login.passwordFile = "/var/lib/secrets/podman/ghcr.io"; # should create it manually.
        image = "ghcr.io/senseab/wsproxy:master";
        autoStart = true;

        environment = {
          CONFIG_NO_TLS_VERIFY = "true";
          CONFIG_ADDR = "wss://dev.wetofu.me/path";
          WSPROXY_MODE = "client";
        };

        ports = [
          "1089:1089"
        ];
      };

      zeronet = {
        autoStart = true;
        dependsOn = [ "wsproxy" ];
        image = "supersandro2000/zeronet";

        ports = [
          "26552:26552"
          "43110:43110"
        ];

        environment = {
          ENABLE_TOR = "false";
          UI_PASSWORD = "12345678";
        };

        volumes = [
          "/var/lib/zeronet:/root/data"
        ];
      };
    };
  };
}
